Bug 1301089 - [RHEL-6.4][selinux-policy] load_policy: page allocation failure. order:4, mode:0xd0
[RHEL-6.4][selinux-policy] load_policy: page allocation failure. order:4, mod...
Status: CLOSED DUPLICATE of bug 1327316
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy (Show other bugs)
6.6
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Miroslav Grepl
BaseOS QE Security Team
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-22 09:54 EST by PaulB
Modified: 2016-09-26 10:02 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-26 10:02:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description PaulB 2016-01-22 09:54:18 EST
Description of problem:
 During automated kernel testing, the following issue was seen while running
/kernel/distribution/selinux-testsuite :
 load_policy: page allocation failure. order:4, mode:0xd0

Version-Release number of selected component (if applicable):
 distro: RHEL-6.4 Server x86_64
 kernel: 2.6.32-358.70.1.el6

How reproducible:
 unknown

Actual results:
https://beaker.engineering.redhat.com/recipes/2431462
https://beaker.engineering.redhat.com/recipes/2431462#task37422226
http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2016/01/11977/1197798/2431462/console.log
---<-snip->---
01/21/16 06:00:07  JobID:1197798 Test:/kernel/distribution/selinux-testsuite Response:1  
logger: /usr/bin/rhts-test-runner.sh rhts-test-update 127.0.0.1:7092 37422226 start  kernel-kernel-distribution-selinux-testsuite  
2016-01-21 06:00:07,477 backend _send_cmd: INFO Command ['Command', 'forward', 'fe26a2f7-8148-4ff2-be78-b181e407ebed', {'event': ['Event', 'extend_watchdog', '4049154b-307f-4189-bf5d-424dac025a50', {'source': 'beah_beaker_backend', 'id': '65ab5d85-40af-4e84-b91a-444a0de2f3dd'}, None, {'timeout': 2694}]}] sent.  
2016-01-21 06:00:07,486 rhts_task checkin_start: INFO setting nohup  
01/21/16 06:00:07  testID:37422226 start:  
/mnt/tests/kernel/distribution/selinux-testsuite /mnt/tests/kernel/distribution/selinux-testsuite  
logger: 2016-01-21 06:00:26 /usr/bin/rhts-test-runner.sh 8680 7800 hearbeat...  
load_policy: page allocation failure. order:4, mode:0xd0 
Pid: 7268, comm: load_policy Tainted: G           ---------------  T 2.6.32-358.70.1.el6.x86_64 #1 
Call Trace: 
 [<ffffffff8112c45a>] ? __alloc_pages_nodemask+0x74a/0x8d0 
 [<ffffffff81167092>] ? kmem_getpages+0x62/0x170 
 [<ffffffff81167caa>] ? fallback_alloc+0x1ba/0x270 
 [<ffffffff811676ff>] ? cache_grow+0x2cf/0x320 
 [<ffffffff81167a29>] ? ____cache_alloc_node+0x99/0x160 
 [<ffffffff81236dd7>] ? policydb_read+0x8a7/0x1080 
 [<ffffffff811687f9>] ? __kmalloc+0x189/0x220 
 [<ffffffff81236dd7>] ? policydb_read+0x8a7/0x1080 
 [<ffffffff8100b9ce>] ? common_interrupt+0xe/0x13 
 [<ffffffff8123a901>] ? security_load_policy+0x141/0x410 
 [<ffffffff8114478a>] ? handle_mm_fault+0x23a/0x310 
 [<ffffffff8104759c>] ? __do_page_fault+0x1ec/0x480 
 [<ffffffff81129f7e>] ? __get_free_pages+0xe/0x50 
 [<ffffffff81150a09>] ? vmap_page_range_noflush+0x279/0x370 
 [<ffffffff81514d5e>] ? do_page_fault+0x3e/0xa0 
 [<ffffffff81512115>] ? page_fault+0x25/0x30 
 [<ffffffff8122e3fb>] ? sel_write_load+0xdb/0x710 
 [<ffffffff8122937b>] ? selinux_file_permission+0xfb/0x150 
 [<ffffffff8121c266>] ? security_file_permission+0x16/0x20 
 [<ffffffff81181668>] ? vfs_write+0xb8/0x1a0 
 [<ffffffff81181f61>] ? sys_write+0x51/0x90 
 [<ffffffff810dc855>] ? __audit_syscall_exit+0x265/0x290 
 [<ffffffff8100b072>] ? system_call_fastpath+0x16/0x1b 
---<-snip->---

Expected results:
 successful loading of selinux-testsuite/selinux-testsuite-20151125/policy

Additional info:
Comment 3 PaulB 2016-01-22 10:03:07 EST
All,
Retesting with target host, I am unable to reproduce issue:
[] https://beaker.engineering.redhat.com/jobs/1199480 
[] https://beaker.engineering.redhat.com/recipes/2432086

Best,
-pbunyan
Comment 4 Miroslav Grepl 2016-02-12 00:45:35 EST
(In reply to PaulB from comment #3)
> All,
> Retesting with target host, I am unable to reproduce issue:
> [] https://beaker.engineering.redhat.com/jobs/1199480 
> [] https://beaker.engineering.redhat.com/recipes/2432086
> 
> Best,
> -pbunyan

Closing this bug. Thank you.
Comment 8 Lukas Vrabec 2016-09-26 10:02:00 EDT

*** This bug has been marked as a duplicate of bug 1327316 ***

Note You need to log in before you can comment on or make changes to this bug.